Bug 1009994 - gnome-shell-extension-pidgin isn't compatible with gnome-shell 3.8
gnome-shell-extension-pidgin isn't compatible with gnome-shell 3.8
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-shell-extension-pidgin (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
: 990819 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 12:22 EDT by Martin Wilck
Modified: 2013-11-10 01:51 EST (History)
4 users (show)

See Also:
Fixed In Version: gnome-shell-extension-pidgin-0-0.11.git1a254319ea.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-31 23:56:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Wilck 2013-09-19 12:22:13 EDT
Description of problem:
The extension "Pidgin Conversation Integration" is marked as outdated.

Version-Release number of selected component (if applicable):

[root@cooper admin]# rpm -q gnome-shell
gnome-shell-3.8.4-2.fc19.x86_64
[root@cooper admin]# rpm -q gnome-shell-extension-pidgin
gnome-shell-extension-pidgin-0-0.9.git87fc23433d.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
Install gnome-shell-extension-pidgin; start GNOME

Actual results:
See above

Expected results:
Fedora installs extensions that are compatible with the shipped GNOME version.

Additional info:
The rpm package has a dependency on "gnome-shell >= 3.6":

[root@cooper admin]# rpm -qR gnome-shell-extension-pidgin
gnome-shell >= 3.6

but the package itself depends on "gnome-shell == 3.6":

[root@cooper admin]# cat /usr/share/gnome-shell/extensions/pidgin-conversation-integration@kagesenshi.org/metadata.json
{
[...]
 "shell-version": [ "3.6" ],
[...]
}

The extension has been rewritten for 3.8:
https://github.com/Psykar/gnome-shell-extensions-pidgin

Apparently the reqrite required non-trivial changes.
Comment 1 Martin Wilck 2013-09-19 12:29:12 EDT
The same problem occurs for several extensions, on my system:

gnome-shell-extension-pidgin-0-0.9.git87fc23433d.fc19.x86_64
gnome-shell-extension-presentation-mode-0-0.5.gitc3ce6b2.fc19.noarch
gnome-shell-extension-remove-accessibility-icon-20111008-4.fc18.noarch
gnome-shell-extension-remove-bluetooth-icon-0.5.1-1.fc19.noarch
Comment 2 Michael Cronenworth 2013-10-21 10:27:31 EDT
*** Bug 990819 has been marked as a duplicate of this bug. ***
Comment 3 Michael Cronenworth 2013-10-21 10:46:01 EDT
(In reply to Martin Wilck from comment #0)
> The extension has been rewritten for 3.8:
> https://github.com/Psykar/gnome-shell-extensions-pidgin

I can confirm that this upstream works for Gnome 3.8.
Comment 4 Fedora Update System 2013-10-23 12:32:54 EDT
gnome-shell-extension-pidgin-0-0.11.git1a254319ea.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-shell-extension-pidgin-0-0.11.git1a254319ea.fc19
Comment 5 Fedora Update System 2013-10-23 12:33:06 EDT
gnome-shell-extension-pidgin-0-0.11.git1a254319ea.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnome-shell-extension-pidgin-0-0.11.git1a254319ea.fc20
Comment 6 Fedora Update System 2013-10-23 20:52:58 EDT
Package gnome-shell-extension-pidgin-0-0.11.git1a254319ea.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-shell-extension-pidgin-0-0.11.git1a254319ea.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19795/gnome-shell-extension-pidgin-0-0.11.git1a254319ea.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-10-31 23:56:06 EDT
gnome-shell-extension-pidgin-0-0.11.git1a254319ea.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-11-10 01:51:55 EST
gnome-shell-extension-pidgin-0-0.11.git1a254319ea.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.